Bug 527336 - Review Request: opensaml - Security Assertion Markup Language
Summary: Review Request: opensaml - Security Assertion Markup Language
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mattias Ellert
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 527308
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-10-06 00:54 UTC by Steve Traylen
Modified: 2009-11-24 07:33 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-11-06 10:47:55 UTC
mattias.ellert: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Steve Traylen 2009-10-06 00:54:49 UTC
Spec URL: http://cern.ch/straylen/rpms/opensaml/opensaml.spec
SRPM URL: http://cern.ch/straylen/rpms/opensaml/opensaml-2.2.1-1.fc11.src.rpm
Description:
OpenSAML is an open source implementation of the OASIS Security Assertion
Markup Language Specification. It contains a set of open source C++ classes
that support the SAML 1.0, 1.1, and 2.0 specifications.

Comment 1 Steve Traylen 2009-10-06 00:59:40 UTC
rpmlint   SPECS/opensaml.spec \
          SRPMS/opensaml-2.2.1-1.fc11.src.rpm \
          RPMS/noarch/opensaml-doc-2.2.1-1.fc11.noarch.rpm \
          RPMS/x86_64/opensaml-2.2.1-1.fc11.x86_64.rpm \
          RPMS/x86_64/opensaml-devel-2.2.1-1.fc11.x86_64.rpm \
          RPMS/x86_64/opensaml-debuginfo-2.2.1-1.fc11.x86_64.rpm 
opensaml-devel.x86_64: W: no-documentation
5 packages and 1 specfiles checked; 0 errors, 1 warnings.

no documentation in -devel since in -doc package.

Steve

Comment 2 Mattias Ellert 2009-10-16 12:34:19 UTC
Fedora review opensaml-2.2.1-1.fc11.src.rpm 2009-10-16

$ rpmlint 3207912553565521572496900/result/opensaml/*.rpm
opensaml-devel.x86_64: W: no-documentation
5 packages and 0 specfiles checked; 0 errors, 1 warnings.

+ rpmlint OK
+ Package name follows guidelines
+ Specfile named according to the package
+ Package's license tag (ASL 2.0) is a Fedora approved license
+ Package's license matches the license of the sources
+ The license file (LICENSE.txt) is included as %doc
+ Specfile is written in legible English
+ Source matches upstream:

c0771abe0219729e9758ece6c444df5b  opensaml-2.2.1.tar.gz
c0771abe0219729e9758ece6c444df5b  src/opensaml-2.2.1.tar.gz

Comment: The URL used for the Source is not permanent since it contains as one
of the elements in its path the element "latest". When the next release is
issued by upstream this URL will no longer exist. It might be better to use
a specific version instead of "latest" in the Source URL.

- Package does not build due to a missing build requirement on cxxtest

+ Main package calls ldconfig in scriptlets
+ No bundled libraries (the bundled zlib source is deleted before the build)

- Main package installs files in /usr/share/xml without owning it or without
  requiring a package that owns it. Suggestion: add Requires: xml-common

+ No duplicate files
+ Permissions are sane and %files have %defattr
+ Clean clears buildroot
+ Spec uses macros consistently
+ Contains code
+ Documentation is in doc package
+ %doc is not runtime essential
+ Headers are in devel
+ No static libraries
+ devel requires main with fully qualified version
+ Package does not own others directories
+ Install clears buildroot
+ Filenames valid UTF-8

Comment 3 Steve Traylen 2009-10-16 22:05:16 UTC
http://straylen.web.cern.ch/straylen/rpms/opensaml/opensaml-2.2.1-2.fc11.src.rpm
http://straylen.web.cern.ch/straylen/rpms/opensaml/opensaml.spec

* Fri Oct 16 2009 Steve Traylen  <steve.traylen@cern.ch>  - 2.2.1-2
- Change Source URL to explicit version rather than "latest"
- Add a BuildRequires of cxxtest.
- Add Requires xml-common  to ensure existence of /usr/share/xml
- Add more minimum versions for BuildRequires.

Comment 4 Mattias Ellert 2009-10-19 11:08:15 UTC
Package approved.

Comment 5 Steve Traylen 2009-10-19 11:12:35 UTC
New Package CVS Request
=======================
Package Name: opensaml
Short Description: Security Assertion Markup Language
Owners: stevetraylen
Branches: F-11 F-12 EL-5 EL-4
InitialCC:

Comment 6 Kevin Fenzi 2009-10-19 16:16:44 UTC
cvs done.

Comment 7 Fedora Update System 2009-11-06 10:46:16 UTC
opensaml-2.2.1-2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/opensaml-2.2.1-2.fc12

Comment 8 Fedora Update System 2009-11-24 07:33:27 UTC
opensaml-2.2.1-2.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.